#ifndef _DEVICE_STATUS_INFO_H_
#define _DEVICE_STATUS_INFO_H_

#include "platform.h"
#ifdef YOUKU_PLATFORM

#include <youku/ykcamera_common.h>

#define NULL (0)

char date[30];
char avail_size[8];

module_value device_status[] = {
 	{	CAM_TYPE_INTEGER	,  {-1}   }	, // 0
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	status_type:CAM_TYPE_STRING	,  {svalue:date	}   }	, // 5
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	CAM_TYPE_INTEGER	,  {-1}   }	, // 10
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	status_type:CAM_TYPE_STRING	,  {svalue:avail_size	}  }	,
	{	CAM_TYPE_INTEGER	,  {-1}   }	,
	{	CAM_TYPE_INTEGER	,  {-1}   }	, // 15
};

module_value setting_status[] = {
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 0
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 5
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 10
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 15
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 20
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 25
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 30
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 35
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {1}  }, // 640x360
	{	CAM_TYPE_INTEGER	,  {1}  }, // 40 // 1M bitrate as default
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 45
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 50
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {1}  },	// video mode as default
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 55
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 60
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {0}  }, // disable stream as default
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {-1}  }, // 65
	{	CAM_TYPE_INTEGER	,  {-1}  },
	{	CAM_TYPE_INTEGER	,  {1}  }, // need to sync all special video file at first connect, so set it 1
};

#endif // YOUKU_PLATFORM

#endif // device_status_info.h
